Add Beneficiary
curl --request POST \
--url https://api.paytring.com/api/v2/payout/beneficiary/create \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "user",
"phone": "<string>",
"email": "<string>",
"address": "delhi",
"account_number": "<string>",
"ifsc": "<string>",
"vpa": "<string>"
}
'import requests
url = "https://api.paytring.com/api/v2/payout/beneficiary/create"
payload = {
"name": "user",
"phone": "<string>",
"email": "<string>",
"address": "delhi",
"account_number": "<string>",
"ifsc": "<string>",
"vpa": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'user',
phone: '<string>',
email: '<string>',
address: 'delhi',
account_number: '<string>',
ifsc: '<string>',
vpa: '<string>'
})
};
fetch('https://api.paytring.com/api/v2/payout/beneficiary/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"status\": true,\n \"message\": \"Beneficiary Account Added successfully.\",\n \"beneficiary_id\": \"59113xxxxxxxxx6\"\n}""{\n \"status\": false,\n \"error\": {\n \"message\": \"Hash is not verified\",\n \"code\": 204\n }\n}"Payout Management
Add Beneficiary
POST
/
api
/
v2
/
payout
/
beneficiary
/
create
Add Beneficiary
This API is used to add a new beneficiary to the payout system.
Request Body
{
"name": "string", // Beneficiary name
"email": "string", // Beneficiary email
"phone": "string", // Beneficiary phone number
"vpa": "string", // Virtual Payment Address (VPA)
"account": {
"account_no": "string", // Account number
"ifsc": "string" // IFSC code
}
}
Responses
200 OK
{
"status": true,
"beneficiary_id": "string"
}
400 Bad Request
{
"status": false,
"error": {
"message": "Invalid request",
"code": 400
}
}
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
Name of Beneficiary
Phone no of Beneficiary. eg. 9900990099
Email of Beneficiary
Address of Beneficiary
Account Number of Beneficiary
IFS Code of Beneficiary Account
⌘I

